/*
 * Copyright (c) 2005 Ryo Ichinose
 *
 * This file is part of Space Maze.
 * 
 * Space Maze is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 2 of the License.
 * 
 * Space Maze is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Space Maze; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

/*!
 * @file
 * @brief Draws lowest layer background onto the screen.
 *
 * "$Id: bg.c,v 1.1.1.1 2006/07/22 18:07:56 ryo Exp $"
 */

#include <stdio.h>
#include "RLgt.h"


/*!
 * Draws lowest layer background onto the screen.
 * @param app [in] GUI toolkit context.
 */
void
bg_draw( RLgtApp* app )
{
	int width;
	int height;

	if ( app == NULL ) {
		return;
	}

	width  = rlib_gt_get_width( app );
	height = rlib_gt_get_height( app );

	rlib_gt_set_foreground_color( app, 0, 0, 0 );
	rlib_gt_fill_rectangle( app, 0, 0, width, height );
}


/* End of bg.c */
