/*
 * Copyright (c) 2006 Ryo Ichinose
 *
 * This file is part of Space Maze.
 * 
 * Space Maze is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 2 of the License.
 * 
 * Space Maze is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Space Maze; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

/*!
 * @file
 * @brief Header file defines type specific things of enemy entity.
 *
 * "$Id: _enemy_inner.h,v 1.1.1.1 2006/07/22 18:07:56 ryo Exp $"
 */

#ifndef ___ENEMY_INNER_H_INCLUDED_
#define ___ENEMY_INNER_H_INCLUDED_


#include "RLgt.h"
#include "RLrect.h"
#include "enemy.h"


void ball_init( Entity* ball );
int  ball_check( Entity* ball, RLrect* rect, double* vx, double* vy );
void ball_update( Entity* ball, Entity* spaceship );
void ball_draw( Entity* ball );
void missiler_init( Entity* missiler );
void missiler_set_velocity( Entity* missiler, double vx, double vy );
int  missiler_check( Entity* missiler, RLrect* rect, double* vx, double* vy );
void missiler_update( Entity* missiler, Entity* spaceship );
void missiler_draw( Entity* missiler );
void scull_init( Entity* scull );
int  scull_check( Entity* scull, RLrect* rect, double* vx, double* vy );
void scull_update( Entity* scull, Entity* spaceship );
void scull_draw( Entity* scull );
void fortress_init( Entity* fortress );
int  fortress_check( Entity* fortress, RLrect* rect, double* vx, double* vy );
void fortress_update( Entity* fortress, Entity* spaceship );
void fortress_draw( Entity* fortress );
void flyer_init( Entity* flyer );
void flyer_explode( Entity* flyer );
int  flyer_key_released( Entity* flyer );
int  flyer_check( Entity* flyer, RLrect* rect, double* vx, double* vy );
void flyer_update( Entity* flyer, Entity* spaceship );
void flyer_draw( Entity* flyer );
void launcher_init( Entity* launcher );
int  launcher_check( Entity* launcher, RLrect* rect, double* vx, double* vy );
void launcher_update( Entity* launcher, Entity* spaceship );
void launcher_draw( Entity* launcher );

#endif /* ___ENEMY_INNER_H_INCLUDED_ */

/* End of _enemy_inner.h */
