/*
 * Copyright (c) 2006 Ryo Ichinose
 *
 * This file is part of Space Maze.
 * 
 * Space Maze is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 2 of the License.
 * 
 * Space Maze is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Space Maze; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

/*!
 * @file
 * @brief Header file defines type specific things of missile entity.
 *
 * "$Id: _missile_inner.h,v 1.1.1.1 2006/07/22 18:07:56 ryo Exp $"
 */

#ifndef ___MISSILE_INNER_H_INCLUDED_
#define ___MISSILE_INNER_H_INCLUDED_


#include "RLgt.h"
#include "missile.h"


void mine_init( Entity* missile );
void mine_draw( Entity* missile );
void cannon_init( Entity* missile );
void cannon_draw( Entity* missile );
void ripple_init( Entity* missile );
void ripple_draw( Entity* missile );
void firebomb_init( Entity* missile );
void firebomb_draw( Entity* missile );
void doughnut_init( Entity* missile );
void doughnut_draw( Entity* missile );
void laser_init( Entity* missile );
void laser_draw( Entity* missile );


#endif /* ___MISSILE_INNER_H_INCLUDED_ */

/* End of _missile_inner.h */
