/*
 * Copyright (c) 2005,2006 Ryo Ichinose
 *
 * This file is part of Space Maze.
 * 
 * Space Maze is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 2 of the License.
 * 
 * Space Maze is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Space Maze; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

/*!
 * @file
 * @brief Logging functions.
 *
 * $Id: RLlogger.h,v 1.1.1.1 2006/07/22 18:07:56 ryo Exp $
 */

#ifndef ___RLLOGGER_H_INCLUDED_
#define ___RLLOGGER_H_INCLUDED_


#define RLLOGGER_LEVEL_FATAL   0
#define RLLOGGER_LEVEL_ALERT   1
#define RLLOGGER_LEVEL_CRIT    2
#define RLLOGGER_LEVEL_ERROR   3
#define RLLOGGER_LEVEL_WARN    4
#define RLLOGGER_LEVEL_NOTICE  5
#define RLLOGGER_LEVEL_INFO    6
#define RLLOGGER_LEVEL_DEBUG   7


void rlib_logger_fatal( const char* message );
void rlib_logger_alert( const char* message );
void rlib_logger_crit( const char* message );
void rlib_logger_error( const char* message );
void rlib_logger_warn( const char* message );
void rlib_logger_notice( const char* message );
void rlib_logger_info( const char* message );
void rlib_logger_debug( const char* message );
void rlib_logger_hexdump( char level, const unsigned char* data, int len );


#endif /* ___RLLOGGER_H_INCLUDED_ */

/* End of RLlogger.h */
