/*
 * Copyright (c) 2005,2006 Ryo Ichinose
 *
 * This file is part of Space Maze.
 * 
 * Space Maze is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 2 of the License.
 * 
 * Space Maze is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Space Maze; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

/*!
 * @file
 * @brief Header file of timer functions.
 *
 * $Id: RLtimer.h,v 1.1.1.1 2006/07/22 18:07:56 ryo Exp $
 */

#ifndef ___RLTIMER_H_INCLUDED_
#define ___RLTIMER_H_INCLUDED_

#include <sys/time.h>


#define RLIB_TIMER_ADD( dst, src1, src2 ) { \
        (dst)->tv_usec = (src1)->tv_usec + (src2)->tv_usec; \
\
        if ( (dst)->tv_usec >= 1000000 ) { \
                (dst)->tv_usec -= 1000000; \
                (dst)->tv_sec   = (src1)->tv_sec + (src2)->tv_sec + 1; \
        } \
        else { \
                (dst)->tv_sec   = (src1)->tv_sec + (src2)->tv_sec;   \
                if ( (dst)->tv_sec >= 1 && (dst)->tv_usec < 0 ) { \
                        (dst)->tv_sec  --; \
                        (dst)->tv_usec += 1000000; \
                } \
        } \
}


#define RLIB_TIMER_COPY( dst, src ) { \
        (dst)->tv_sec = (src)->tv_sec;   \
        (dst)->tv_usec = (src)->tv_usec; \
}


#define RLIB_TIMER_DIFF( dst, src1, src2 ) { \
        (dst)->tv_usec = (src1)->tv_usec - (src2)->tv_usec; \
\
        if ( (dst)->tv_usec < 0 ) { \
                (dst)->tv_usec += 1000000; \
                (dst)->tv_sec   = (src1)->tv_sec - (src2)->tv_sec - 1; \
        } \
        else { \
                (dst)->tv_sec   = (src1)->tv_sec - (src2)->tv_sec; \
        } \
\
        if ( (dst)->tv_sec < 0 )  { \
                (dst)->tv_sec = (dst)->tv_usec = 0; \
        } \
}


#endif /* ___RLTIMER_H_INCLUDED_ */

/* End of RLtimer.h */
